# Class WeChatPayAccountPayload

#### Hierarchy

- unknown
  - WeChatPayAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:3768
- Defined in src/protobuf/pb_pb.d.ts:3780

#####
Index

### Constructors

constructor

### Methods

getAccountNr
serializeBinary
setAccountNr
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new WeChatPayAccountPayload(): WeChatPayAccountPayload

- #### Returns WeChatPayAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getAccountNr

- getAccountNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3769

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3772

### setAccountNr

- setAccountNr(value: string): WeChatPayAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns WeChatPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3770

### toObject

- toObject(includeInstance?: boolean): WeChatPayAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns WeChatPayAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3773

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): WeChatPayAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns WeChatPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3776

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: WeChatPayAccountPayload, reader: BinaryReader): WeChatPayAccountPayload

- #### Parameters

  - ##### message: WeChatPayAccountPayload

  - ##### reader: BinaryReader

  #### Returns WeChatPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3777

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: WeChatPayAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: WeChatPayAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:3775

### `Static` toObject

- toObject(includeInstance: boolean, msg: WeChatPayAccountPayload): WeChatPayAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: WeChatPayAccountPayload

  #### Returns WeChatPayAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3774

Generated using TypeDoc